## org.codehaus.groovy.grails.webflow.engine.builder
Class AbstractDelegate

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.WebRequestDelegatingRequestContext
          org.codehaus.groovy.grails.webflow.engine.builder.AbstractDelegate

All Implemented Interfaces:
  groovy.lang.GroovyObject, GrailsRequestContext

    public abstract class AbstractDelegate

extends WebRequestDelegatingRequestContext
implements groovy.lang.GroovyObject

Constructor Summary
`AbstractDelegate(org.springframework.webflow.execution.RequestContext context)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`org.springframework.webflow.execution.RequestContext` `getContext()`
`org.springframework.webflow.core.collection.MutableAttributeMap` `getConversation()`
`org.springframework.webflow.core.collection.MutableAttributeMap` `getFlash()`
`org.springframework.webflow.core.collection.MutableAttributeMap` `getFlow()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String name)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setContext(org.springframework.webflow.execution.RequestContext value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class org.codehaus.groovy.grails.web.servlet.WebRequestDelegatingRequestContext
`getActionName, getApplicationContext, getControllerName, getOut, getParams, getRequest, getRequestURI, getResponse, getServletContext, getSession, getWebRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDelegate

    public AbstractDelegate(org.springframework.webflow.execution.RequestContext context)

Method Detail

### getContext

    public org.springframework.webflow.execution.RequestContext getContext()

### setContext

    public void setContext(org.springframework.webflow.execution.RequestContext value)

### getFlow

    public org.springframework.webflow.core.collection.MutableAttributeMap getFlow()

### getConversation

    public org.springframework.webflow.core.collection.MutableAttributeMap getConversation()

### getFlash

    public org.springframework.webflow.core.collection.MutableAttributeMap getFlash()

### getProperty

    public Object getProperty(String name)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project